## linux-meta-ls 5.15.0.1007.8

=== debian/changelog ===
linux-meta-ls (5.15.0.1007.8) jammy; urgency=medium

  * Bump ABI 5.15.0-1007

 -- Hui Wang <hui.wang@canonical.com>  Tue, 20 Dec 2022 09:53:03 +0800

linux-meta-ls (5.15.0.1006.7) jammy; urgency=medium

  * Bump ABI 5.15.0-1006

 -- Hui Wang <hui.wang@canonical.com>  Thu, 24 Nov 2022 09:42:17 +0800

linux-meta-ls (5.15.0.1005.6) jammy; urgency=medium

  * Bump ABI 5.15.0-1005

 -- Hui Wang <hui.wang@canonical.com>  Wed, 23 Nov 2022 08:52:46 +0800

linux-meta-ls (5.15.0.1004.5) jammy; urgency=medium

  * Bump ABI 5.15.0-1004

 -- Hui Wang <hui.wang@canonical.com>  Thu, 10 Nov 2022 14:11:58 +0800

linux-meta-ls (5.15.0.1003.4) jammy; urgency=medium

  * Bump ABI 5.15.0-1003

  * Miscellaneous Ubuntu changes
    - Packaging change imx to ls

 -- Hui Wang <hui.wang@canonical.com>  Fri, 19 Aug 2022 10:03:25 +0800

linux-meta-imx (5.15.0.1002.3) jammy; urgency=medium

  * Bump ABI 5.15.0-1002

 -- Hui Wang <hui.wang@canonical.com>  Tue, 16 Aug 2022 08:51:46 +0800

linux-meta-imx (5.15.0.1001.2) jammy; urgency=medium

  * Bump ABI 5.15.0-1001

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

  * Miscellaneous upstream changes
    - Ubuntu: [Package]: Update method to get wireguard version

 -- Hui Wang <hui.wang@canonical.com>  Mon, 15 Aug 2022 21:10:34 +0800

linux-meta-imx (5.4.0.1017.17) focal; urgency=medium

  * Bump ABI 5.4.0-1017

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

 -- Wen-chien Jesse Sung <jesse.sung@canonical.com>  Sat, 02 Apr 2022 22:19:14 +0800

linux-meta-imx (5.4.0.1016.16) focal; urgency=medium

  * Bump ABI 5.4.0-1016

 -- Wen-chien Jesse Sung <jesse.sung@canonical.com>  Fri, 18 Mar 2022 18:24:06 +0800

linux-meta-imx (5.4.0.1015.15) focal; urgency=medium

  * Bump ABI 5.4.0-1015

 -- Shrirang Bagul <shrirang.bagul@canonical.com>  Tue, 25 Jan 2022 08:03:02 +0530

linux-meta-imx (5.4.0.1014.14) focal; urgency=medium

  * Bump ABI 5.4.0-1014

 -- Shrirang Bagul <shrirang.bagul@canonical.com>  Sat, 11 Dec 2021 18:59:27 +0530

linux-meta-imx (5.4.0.1013.13) focal; urgency=medium

  * Bump ABI 5.4.0-1013

 -- Shrirang Bagul <shrirang.bagul@canonical.com>  Fri, 22 Oct 2021 16:23:14 +0800

linux-meta-imx (5.4.0.1012.12) focal; urgency=medium

  * Bump ABI 5.4.0-1012

 -- Shrirang Bagul <shrirang.bagul@canonical.com>  Thu, 21 Oct 2021 20:15:14 +0800

linux-meta-imx (5.4.0.1011.11) focal; urgency=medium

  * Bump ABI 5.4.0-1011

 -- Shrirang Bagul <shrirang.bagul@canonical.com>  Tue, 21 Sep 2021 04:57:35 +0800

linux-meta-imx (5.4.0.1010.10) focal; urgency=medium

  * Bump ABI 5.4.0-1010

 -- Shrirang Bagul <shrirang.bagul@canonical.com>  Mon, 06 Sep 2021 22:29:19 +0800

linux-meta-imx (5.4.0.1009.9) focal; urgency=medium

  * Bump ABI 5.4.0-1009

 -- Shrirang Bagul <shrirang.bagul@canonical.com>  Mon, 23 Aug 2021 05:39:39 +0800

linux-meta-imx (5.4.0.1008.8) focal; urgency=medium

  * Bump ABI 5.4.0-1008

 -- Shrirang Bagul <shrirang.bagul@canonical.com>  Thu, 05 Aug 2021 02:14:24 +0800

linux-meta-imx (5.4.0.1007.7) focal; urgency=medium

  * Bump ABI 5.4.0-1007

 -- Shrirang Bagul <shrirang.bagul@canonical.com>  Mon, 12 Jul 2021 01:52:01 +0800

linux-meta-imx (5.4.0.1006.6) focal; urgency=medium

  * Bump ABI 5.4.0-1006

  * Miscellaneous Ubuntu changes
    - [Packaging] update package desc for i.MX kernel

 -- Shrirang Bagul <shrirang.bagul@canonical.com>  Tue, 06 Jul 2021 11:23:35 +0800

linux-meta-imx (5.4.0.1005.5) focal; urgency=medium

  * Bump ABI 5.4.0-1005

 -- Shrirang Bagul <shrirang.bagul@canonical.com>  Fri, 02 Jul 2021 14:30:37 +0800

linux-meta-imx (5.4.0.1004.4) focal; urgency=medium

  * Bump ABI 5.4.0-1004

 -- Shrirang Bagul <shrirang.bagul@canonical.com>  Fri, 18 Jun 2021 18:18:56 +0800

linux-meta-imx (5.4.0.1003.3) focal; urgency=medium

  * Bump ABI 5.4.0-1003

 -- Shrirang Bagul <shrirang.bagul@canonical.com>  Fri, 18 Jun 2021 13:39:32 +0800

linux-meta-imx (5.4.0.1002.2) focal; urgency=medium

  * Bump ABI 5.4.0-1002

 -- Shrirang Bagul <shrirang.bagul@canonical.com>  Wed, 02 Jun 2021 13:20:48 +0800

linux-meta-imx (5.4.0.1001.1) focal; urgency=medium

  * Bump ABI 5.4.0-1001

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

 -- Shrirang Bagul <shrirang.bagul@canonical.com>  Mon, 31 May 2021 18:15:11 +0800

linux-meta-imx (5.4.0.1000.0) focal; urgency=medium

  * First focal imx kernel

 -- Shrirang Bagul <shrirang.bagul@canonical.com>  Thu, 15 Apr 2021 23:44:46 +0800
