=== debian/control ===
Source: linux-meta-ls
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.9.8
Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk, kmod,
Build-Depends-Arch:
 linux-ls-headers-5.15.0-1007,
 linux-headers-5.15.0-1007-ls,
 linux-modules-5.15.0-1007-ls,
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-meta-ls/+git/jammy

Package: linux-headers-ls
Architecture: armhf arm64
Section: kernel
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-ls
Description: Linux Layerscape kernel headers
 This package will always depend on the latest Linux Layerscape
 kernel headers available.

Package: linux-image-ls
Architecture: armhf arm64
Section: kernel
Provides: ${dkms:wireguard-linux-compat-modules} ${dkms:zfs-modules}
Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-ls, linux-firmware
Description: Linux Layerscape kernel image
 This package will always depend on the latest Linux Layerscape
 kernel image available.

Package: linux-tools-ls
Architecture: armhf arm64
Section: kernel
Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-ls
Description: Linux Layerscape kernel tools
 This package will always depend on the latest Linux Layerscape
 kernel tools available.

Package: linux-ls
Architecture: armhf arm64
Section: kernel
Provides: kernel-testing--linux-ls--full--ls, kernel-testing--linux-ls--full--preferred,
Depends: ${misc:Depends}, linux-image-ls (= ${binary:Version}), linux-headers-ls (= ${binary:Version})
Description: Complete Linux Layerscape kernel and headers
 This package will always depend on the latest complete Linux Layerscape
 kernel and headers available.
