=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for kernel-source.
#
# GNU copyright 1997 to 1999 by Joey Hess.
# Copyright (c) 1999-2004 Herbert Xu <herbert@gondor.apana.org.au>
# Copyright (c) 2004 Jens Schmalzing <jensen@debian.org>
#

SERIES=$(shell dpkg-parsechangelog -SDistribution | sed -e 's/-\(security\|updates\|proposed\)$$//')
SOURCE=$(shell dpkg-parsechangelog -SSource)
KERNEL_SOURCE=$(shell echo "$(SOURCE)" | sed -e 's/-meta//')

# 5 digit versions (2.6.38.<abi>.<upload>, 3 digit kernel base versions (2.6.38)
KERNEL_VERSION=$(shell dpkg-parsechangelog -SVersion | cut -d. -f1-3)
KERNEL_ABI=$(shell dpkg-parsechangelog -SVersion | cut -d. -f4)

KERNEL_ABI_VERSION=$(KERNEL_VERSION)-$(KERNEL_ABI)

# Get variants, assuming primary if debian/variants is not present
variants = --
ifneq (,$(wildcard debian/variants))
	variants := $(shell cat debian/variants)
endif

control_files := debian/control.common
# control files only wanted for the primary variant
primary_control_files := $(shell LC_ALL=C ls -d debian/control.d/{primary,transitionals-*} 2>/dev/null)
ifneq ($(filter --,$(variants)),)
	control_files += $(primary_control_files)
endif
control_files += $(filter-out $(primary_control_files),$(shell LC_ALL=C ls -d debian/control.d/*))

SHELL := sh -e

clean: debian/control
	dh_testdir
	dh_testroot
	dh_clean

# Versions of dkms packages.
dkms_zfs_linux_version=$(shell gawk '/^zfs-linux/ { print $$2; }' debian/dkms-versions)
dkms_virtualbox_version=$(shell gawk '/^virtualbox/ { print $$2; }' debian/dkms-versions)
dkms_wireguard_version=$(shell /sbin/modinfo -F version /lib/modules/$(KERNEL_ABI_VERSION)-ls/kernel/drivers/net/wireguard/wireguard.ko)

debian/control: tp_key=test:provides\(-full\|-image\|-headers\|-modules-extra\)
debian/control: $(control_files)
	for i in $^; do \
		if grep -q "{variant:" $$i; then \
			variant_first='yes'; \
			for variant in $(variants); do \
				variant="$$(echo "$$variant" | sed -e 's/--//')"; \
				sed \
					-e "s/\$${variant:suffix}/$$variant/g" \
					-e "s/\(\$${$(tp_key)[^}]*}\)/$${variant_first:+\1}/g" \
					<$$i; \
				echo ""; \
				variant_first=''; \
			done; \
		else \
			cat $$i; \
			echo ""; \
		fi; \
	done | sed \
		-e 's/\$${$(tp_key)\([^}]*\)}/kernel-testing--$(KERNEL_SOURCE)-\1-\2,/g' \
		-e 's/@SERIES@/$(SERIES)/g' \
		-e 's/@KERNEL_ABI_VERSION@/$(KERNEL_ABI_VERSION)/g' \
		-e 's/@SRCPKGNAME@/$(SOURCE)/g' \
		-e 's/@KERNEL_SOURCE@/$(KERNEL_SOURCE)/g' \
	    >$@.tmp
	rm -f $@
	mv $@.tmp $@

.PHONY: debian/control

gencontrol_flags = -Vkernel-version=$(KERNEL_VERSION)
gencontrol_flags += -Vkernel-abi-version=$(KERNEL_ABI_VERSION)
gencontrol_flags += -Vdkms:zfs-modules="zfs-modules (= $(dkms_zfs_linux_version)) [arm64],"
gencontrol_flags += -Vdkms:virtualbox-guest-modules="virtualbox-guest-modules (= $(dkms_virtualbox_version)),"
gencontrol_flags += -Vdkms:wireguard-linux-compat-modules="wireguard-modules (= $(dkms_wireguard_version)),"

build-%:
	:

install-%: build-%
	dh_testdir
	dh_testroot
	dh_prep

binary-arch: t=-a
binary-indep: t=-i
binary-%: debian/control install-%
	dh_testdir
	dh_testroot

	dh_installdirs $(t)
	dh_installdocs $(t)
	dh_installchangelogs $(t)
	dh_compress $(t)
	dh_fixperms $(t)
	dh_installdeb $(t)
	dh_gencontrol $(t) -- $(gencontrol_flags)
	dh_md5sums $(t)
	dh_builddeb $(t)

build: build-indep build-arch
binary: binary-indep binary-arch

.PHONY: clean
